import type { Program, SourceFile, TransformationContext } from 'typescript/lib/tsserverlibrary';
import type { AutomapperTransformerPluginOptions } from './lib/options';
/**
 * Remember to increase the version whenever transformer's content is changed. This is to inform Jest to not reuse
 * the previous cache which contains old transformer's content
 */
export declare const version = "{{REPLACED}}";
export declare const name = "automapper-transformer-plugin";
export default function automapperTransformerPlugin(program: Program, options?: AutomapperTransformerPluginOptions): {
    before(context: TransformationContext): (sourceFile: SourceFile) => SourceFile;
};
export declare const before: (options: AutomapperTransformerPluginOptions, program: Program) => (context: TransformationContext) => (sourceFile: SourceFile) => SourceFile;
export declare const tspBefore: (program: Program, options: AutomapperTransformerPluginOptions) => (context: TransformationContext) => (sourceFile: SourceFile) => SourceFile;
export * from './lib/options';
export * from './lib/constants';
